# List Quotas

Launch stage: GA

`GET /api/2.1/unity-catalog/resource-quotas/all-resource-quotas`

ListQuotas returns all quota values under the metastore. There are no SLAs on the freshness of the counts
 returned. This API does not trigger a refresh of quota counts.

 PAGINATION BEHAVIOR: The API is by default paginated, a page may contain zero results while still providing a next_page_token.
 Clients must continue reading pages until next_page_token is absent, which is the only indication that the end of results has been reached.

API scopes: unity-catalog

## Query parameters

- `max_results` (int32, optional)
  The number of quotas to return.
- `page_token` (string, optional)
  Opaque token for the next page of results.

## Returns

- `quotas` (array of object, optional)
  An array of returned QuotaInfos.
  - `parent_securable_type` (string, optional)
    The quota parent securable type.
    Possible values: `CATALOG`, `SCHEMA`, `TABLE`, `STORAGE_CREDENTIAL`, `EXTERNAL_LOCATION`, `FUNCTION`, `SHARE`, `PROVIDER`, `RECIPIENT`, `CLEAN_ROOM`, `METASTORE`, `PIPELINE`, `VOLUME`, `CONNECTION`, `CREDENTIAL`, `EXTERNAL_METADATA`, `STAGING_TABLE`
    Example: `schema`
  - `parent_full_name` (string, optional)
    Name of the parent resource. Returns metastore ID if the parent is a metastore.
    Example: `main.default`
  - `quota_name` (string, optional)
    The name of the quota.
    Example: `table-quota`
  - `quota_count` (int32, optional)
    The current usage of the resource quota.
    Example: `1234`
  - `quota_limit` (int32, optional)
    The current limit of the resource quota.
    Example: `10000`
  - `last_refreshed_at` (int64, optional)
    The timestamp that indicates when the quota count was last updated.
    Example: `1723750401`
- `next_page_token` (string, optional)
  Opaque token to retrieve the next page of results. Absent if there are no more pages.
   __page_token__ should be set to this value for the next request.

## Response

```json
{
  "quotas": [
    {
      "parent_securable_type": "schema",
      "parent_full_name": "main.default",
      "quota_name": "table-quota",
      "quota_count": 1234,
      "quota_limit": 10000,
      "last_refreshed_at": 1723750401
    }
  ],
  "next_page_token": "string"
}
```

